@mixin size($size) {
  font-size: $size;
}
.loading-component {
  display: none;
  @for $i from 1 through 200 {
    &.size#{$i} {
      i {
        @include size($i + px);
      }
    }
  }
  i {
    animation: spinner 3s linear forwards infinite;
  }
  &.active.fixed {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    background-color: rgba(255, 247, 236, 0.5);
    i {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
  &.active.normal {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    background-color: inherit;
  }
}

@keyframes spinner {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}
